2007-06-10  Ryan T. Sammartino  <ryan.sammartino@gmail.com> (1.8.0)
	* NEWS, configure.ac: prepare for new version release.
	* lisp/doxymacs.el.in: documentation update.


2007-02-02  Ryan T. Sammartino <ryan.sammartino@gmail.com>
	* lisp/doxymacs.el.in:
	(doxymacs-mode, doxymacs-doxygan-keywords): Bug #1490021: 
	Allow spaces in @param [in] style documentation.
	(doxymacs-user-mail-address): Bug #1496399:
	New function.
	(doxymacs-JavaDoc-file-comment-template,
	doxymacs-Qt-file-comment-template,
	doxymacs-C++-file-comment-template): Use new function to
	get user's e-mail address.

2006-04-22  Ryan T. Sammartino <ryan.sammartino@gmail.com> (1.7.0)

	* doxymacs_parser.c:
	Bug #1459026: Fix compile warning with gcc 4.0.
	* lisp/doxymacs.el.in: minor documentation updates.
	(doxymacs-mode): Feature #1338245: Add tokens to filladapt 
	to match doxygen markup.
	* example/doc/*: Update to use doxygen 1.4.4 output.
	* NEWS, README, configure.ac: prepare for new version release.

2005-06-04  Ryan T. Sammartino <ryan.sammartino@gmail.com> (1.6.0)

	* NEWS, README: prepare for new version release.

	* lisp/doxymacs.el.in: minor documentation updates.

	* c/doxymacs_parser.c: minor documentation updates.


2005-04-14  Ryan T. Sammartino <ryan.sammartino@gmail.com>

	* lisp/doxymacs.el.in:
	(doxymacs-url-exists-p): New function.
	(doxymacs-load-tags): Use new function.
	(doxymacs-symbol-near-point): New function (to clean up
	symbol-near-point hack).
	(doxymacs-lookup): Use new function.

2005-04-13  Ryan T. Sammartino <ryan.sammartino@gmail.com>
	* lisp/doxymacs.el.in: feature request #868413
	(doxymacs-browse-url-function): New customizable variable.
	(doxymacs-display-url): Use new variable.

2005-04-12  Ryan T. Sammartino <ryan.sammartino@gmail.com>

	* lisp/doxymacs.el.in: bug #990123
	(doxymacs-group-comment-start),
	(doxymacs-group-comment-end): New strings for grouping comments.
	(doxymacs-insert-grouping-comments): Use new strings instead of
	old templates.
	(doxymacs-group-begin-comment-template),
	(doxymacs-group-end-comment-template),
	(doxymacs-JavaDoc-group-begin-comment-template),
	(doxymacs-JavaDoc-group-end-comment-template),
	(doxymacs-Qt-group-begin-comment-template),
	(doxymacs-Qt-group-end-comment-template),
	(doxymacs-C++-group-begin-comment-template),
	(doxymacs-C++-group-end-comment-template): Remove old templates
	for grouping comments.
	(doxymacs-doxygen-keywords): New doxygen keywords.

2005-04-01  Ryan T. Sammartino  <ryan.sammartino@gmail.com>

	* AUTHORS, README: update contact info.

	* example/src/doxy.conf: update for new doxygen.

	* example/src/aclass.h: try new @param[in] etc.

	* example/doc/html/*: regenerate.

	* lisp/doxymacs.el.in (doxymacs-doxygen-keywords): patch #1102042:
	handle @param[in], etc.
	(doxymacs-font-lock): patch #1024026: use font-lock-add-keywords,
	if available.

	* aclocal/libxml.m4: update from libxml source.

	* c/Makefile.am: fix link issues with newer libxml.

	* configure.ac: update libxml2 version requirements to match what
	was used for libxml.m4.

2003-01-25  Ryan T. Sammartino  <ryants@shaw.ca> (1.5.0)

	* NEWS: version 1.5.0 news.

	* INSTALL: add instructions on avoiding byte compiling and
	configuring.

	* configure.ac: set version to 1.5.0.

	* no-autoconf/Makefile.am: new file.

2003-01-20  Georg Drenkhahn <georg-d at users dot sourceforge dot net>

	* lisp/doxymacs.el.in (doxymacs-doxygen-keywords): patch 667164:
	fix retval fontification

2003-01-12  Ryan T. Sammartino  <ryants@shaw.ca>

	* configure.ac: add "C++" to help string for --with-default-style.

2003-01-11  Ryan T. Sammartino  <ryants@shaw.ca>

	Feature #665470: C++ style.
	Bug #665099: @var missing.
	Bug #665372: @example not fontified properly.
	* lisp/doxymacs.el.in (doxymacs-doxygen-keywords): fix var,
	example, image, dotfile, other commands.
	(doxymacs-doxygen-style): new C++ style.
	(doxymacs-command-character): new variable.
	(doxymacs-C++-blank-multiline-comment-template): new template.
	(doxymacs-C++-blank-singleline-comment-template): new template.
	(doxymacs-doxygen-command-char): new function.
	(doxymacs-JavaDoc-file-comment-template): use
	doxymacs-doxygen-command-char
	(doxymacs-Qt-file-comment-template): ditto.
	(doxymacs-JavaDoc-function-comment-template): ditto.
	(doxymacs-Qt-function-comment-template): ditto.
	(doxymacs-parm-tempo-element): ditto and add C++ style.
	(doxymacs-C++-file-comment-template): new template.
	(doxymacs-C++-function-comment-template): new template.
	(doxymacs-C++-group-begin-comment-template): new template.
	(doxymacs-C++-group-end-comment-template): new template.
	(doxymacs-invalid-style): add C++ style.
	(doxymacs-insert-member-comment): add C++ style.

2003-01-06  Ryan T. Sammartino  <ryants at shaw dot ca>

	* configure.ac: mention EMACSLOADPATH in the help.
	* INSTALL, lisp/doxymacs.el.in: mention EMACS, EMACSLOADPATH;
	other documentation fixups.

2003-01-05  Ryan T. Sammartino  <ryants at shaw dot ca> (1.4.0)

	* Autoconf-ise the project.

2002-12-09 Ryan T. Sammartino <ryants at shaw dot ca>
	* c/doxymacs_parser.c: terminate Encoded string with \0.
	* lisp/doxymacs.el: set the doxytags buffer modified flag to false
	to avoid asking user if OK to kill modified buffer.

2002-12-08 Ryan T. Sammartino <ryants at shaw dot ca>
	* lisp/doxymacs.el, c/doxymacs_parser.c: work around apparent bug in
	Doxygen 1.2.18.
	* c/doxymacs_parser.c: fix memory leak.

2002-12-08 Ryan T. Sammartino <ryants at shaw dot ca>
	* lisp/doxymacs.el: move to association lists to support multiple
	Doxygen generates.
	* INSTALL: update instructions.
	* TODO: update.

2002-11-30 Georg Drenkhahn <georg-d at users dot sourceforge dot net>
	* lisp/doxymacs.el: several FIXMEs fixed, user-defined "void" types
	(doxymacs-void-types).

2002-08-31 Ryan T. Sammartino <ryants at shaw dot ca> (1.3.2)
	* lisp/doxymacs.el: functions with blank lines in their argument
	list confused doxymacs-extract-args-list fixed.

2002-09-05 Ryan T. Sammartino <ryants at shaw dot ca> (1.3.1)
	* c/doxymacs_parser.c: fix compilation issues on Mac OS X.

2002-04-01 Ryan T. Sammartino <ryants at shaw dot ca>
	* lisp/doxymacs.el, README: make note of the fact that doxymacs
	seems to work with GNU Emacs 21.2.1 and XEmacs 21.4 (patch 6)

2001-11-19 Ryan T. Sammartino <ryants at shaw dot ca>
	* lisp/doxymacs.el, README: make note of the fact that doxymacs
	seems to work with XEmacs 21.4 (patch 5) and GNU Emacs 21.1.1

2001-11-04 Ryan T. Sammartino <ryants at shaw dot ca> (1.3.0)
	* lisp/doxymacs.el: add documentation for default templates.
	Implement grouping comments (C-c d @).

2001-11-01 Ryan T. Sammartino <ryants at shaw dot ca>
	* README, AUTHORS, ...: make note that Ryan's homepage and e-mail
	address have changed.

2001-09-30 Ryan T. Sammartino <ryants at home dot com>
	* lisp/doxymacs.el, README: make note of the fact that doxymacs
	seems to work with XEmacs 21.4 (patch 4)

2001-09-15 Ryan T. Sammartino <ryants at home dot com> (1.2.1)
	* lisp/doxymacs.el: fix bug #460396: invalid number of arguments
	to doxymacs-parm-tempo-element in
	doxymacs-Qt-function-comment-template

2001-08-26 Ryan T. Sammartino <ryants at home dot com> (1.2.0)
	* lisp/doxymacs.el: implement feature request #454122 (single line
	member comments) and feature request #454123 (key bindings
	description in mode help).  Clean up template code to make it
	easier to add new templates and catch bad settings.  Clean up
	documentation to be more standards conforming.
	* INSTALL: documentation update.
	* README: if people have success/failure with untested {X}Emacs
	versions, let the authors know.

2001-08-23 Ryan T. Sammartino <ryants at home dot com> (1.1.4)
	* lisp/doxymacs.el: fix bug #454563... missing @endlink in
	fontification; fix @b, @em, @c, @p, and @link fontification.  Also
	clean up the fontification code a bit.

2001-07-08 Ryan T. Sammartino <ryants at home dot com> (1.1.3)
	* c/doxymacs_parser.c, c/Makefile: Make the external XML parser
	work with the latest libxml2.  Now we require libxml2 version
	2.3.4 or greater.

2001-07-04 Ryan T. Sammartino <ryants at home dot com> (1.1.2)
	* lisp/doxymacs.el: GNU Emacs doesn't support ?: in regexps, so
	take them out.

2001-06-20 Ryan T. Sammartino <ryants at home dot com> (1.1.1)
	* lisp/doxymacs.el: fix bug #432837 missing @see keyword and fix
	bug #432836 Font lock for @ingroup not correct

2001-06-12 Ryan T. Sammartino <ryants at home dot com> (1.1.0)
	* lisp/doxymacs.el: add font lock keywords for Doxygen keywords

2001-06-06 Ryan T. Sammartino <ryants at home dot com> (1.0.0)
	* lisp/doxymacs.el: fix bug #427660 "mouse selection problems".

2001-05-26 Ryan T. Sammartino <ryants at home dot com> (0.2.1)
	* lisp/doxymacs.el: fix bug #427351 "thinks "void" is a parameter"
	and bug #427350 "can't document constructors/destructors", and
	generally made the whole doxymacs-find-next-func function much
	more robust.  Small update to default styles when inserting
	functions that return "void"
	* INSTALL: a tip on automatically going into doxymacs-mode
	whenever in C/C++ mode

2001-05-21 Ryan T. Sammartino <ryants at home dot com> (0.2.0)
	* lisp/doxymacs.el: now can optionally use the external XML parser
	to speed things up.  Some documentation updates.
	* c/doxymacs_parser.c, c/Makefile: new files.  doxymacs_parser.c is
	the external XML parser.
	* INSTALL: documentation updates.

2001-05-12 Ryan T. Sammartino <ryants at home dot com> (0.1.2)
	* lisp/doxymacs.el: bug fixes for GNU Emacs: symbol-near-point and
	user-mail-address
	* lisp/xml-parse.el: make sure progress-function is bound before
	calling.
	* TODO: removed "test on other version of {X}Emacs" item.
	* README: let people know on which versions of {X}Emacs this has been
	tested on.

2001-05-09 Ryan T. Sammartino <ryants at home dot com> (0.1.1)
	* lisp/doxymacs.el: change C-? to C-c d ?, add progress info while
	parsing XML file, and some small optimisations.

2001-05-07 Ryan T. Sammartino <ryants at home dot com> (0.1.0)
	* lisp/doxymacs.el: Minor mode (thanks to Kris) and default key
	bindings.
	* INSTALL: some better instructions (I hope)

2001-05-06 Ryan T. Sammartino <ryants at home dot com>
	* lisp/doxymacs.el: Now using tempo templates for inserting comments.
	Also allows for user-defined styles.
	* TODO: we need some good end-user documentation.
	* AUTHORS: acknowledge patch from Andreas Fuchs.

2001-04-29 Ryan T. Sammartino <ryants at home dot com>
	* lisp/doxymacs.el: Now parse XML tags file generated by doxygen
	directly.
	* lisp/xml-parse.el: Add this file so that people don't need to go
	download things from all over the place just to get doxymacs working.
	* perl/doxytags.pl: No longer necessary, now that we can parse the
	XML tags file generated by doxygen.

2001-04-22 Ryan T. Sammartino <ryants at home dot com>
	* lisp/doxymacs.el: Function documentation

2001-04-18 Ryan T. Sammartino <ryants at home dot com>
	* lisp/doxymacs.el: Going with Kris' "new style" look up
	code. It's excellent, and exactly what I wanted.  Thanks Kris.  Also
	incorprated Andreas Fuchs' patch for loading tags from a URL.

2001-04-11 Ryan T. Sammartino <ryants at home dot com>
	* lisp/doxymacs.el: insert blank or "file" doxygen comments with style
	specified by the user.

2001-03-31 Ryan T. Sammartino <ryants at home dot com>
	* lisp/doxymacs.el: if symbol matches more than one entry in the tags,
	you can now select which one you really mean (but please take a look
	at the FIXME comment before doxymacs-choose-match) and slightly
	changed the format of the list that doxymacs-get-matches returns.
	* perl/doxytag.pl, example/doc/doxy.tag: added some more info to the
	third column of doxytag.pl's output.
	* TODO: removed the "choose which symbol you really mean" item (yay!).

2001-03-28 Ryan T. Sammartino <ryants at home dot com>
	* lisp/doxymacs.el: applied patch from Kris Verbeeck so that
	doxymacs customisation stuff is under the "Tools" group.  Also
	removed doxymacs-browser, since we'll just use the user's default
	browser anyways.  Minor formatting changes as well.
	* README: added doxymacs' URL

2001-03-24 Ryan T. Sammartino <ryants at home dot com>
	* doxymacs: Initial CVS check in.
